%global _empty_manifest_terminate_build 0
Name:           python-pymemcache
Version:        4.0.0
Release:        1
Summary:        A comprehensive, fast, pure Python memcached client
License:        Apache-2.0
URL:            https://github.com/pinterest/pymemcache
Source0:        https://github.com/pinterest/pymemcache/archive/refs/tags/v4.0.0.tar.gz
BuildArch:      noarch

%description
A comprehensive, fast, pure Python memcached client

%package -n python3-pymemcache
Summary:        A comprehensive, fast, pure Python memcached client
Provides:       python-pymemcache
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-six
# General requires
Requires:       python3-six
%description -n python3-pymemcache
A comprehensive, fast, pure Python memcached client

%package help
Summary:        A comprehensive, fast, pure Python memcached client
Provides:       python3-pymemcache-doc
%description help
A comprehensive, fast, pure Python memcached client

%prep
%autosetup -n pymemcache-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pymemcache -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Dec 7 2022 lijian <lijian2@kylinos.cn> - 4.0.0-1
- Upgrade to 4.0.0

* Wed Sep 28 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 3.5.2-1
- Upgrade to 3.5.2

* Mon May 30 2022 OpenStack_SIG <openstack@openeuler.org> - 3.5.1-1
- Upgrade package python3-pymemcache to version 3.5.1

* Fri Jul 09 2021 openstack-sig <openstack@openeuler.org> - 1.4.4-1
- Package Spec generated
